### Virtual Method

# Gio File mount_enclosing_volume

#### Declaration

    void
    mount_enclosing_volume (
      GFile* location,
      GMountMountFlags flags,
      GMountOperation* mount_operation,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Starts a `mount_operation`, mounting the volume that contains the file `location`.

When this operation has completed, `callback` will be called with `user_user` data, and the operation can be finalized with g_file_mount_enclosing_volume_finish().

If `cancellable` is not `NULL`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error `G_IO_ERROR_CANCELLED` will be returned.

#### Parameters

`flags`

  Type: `GMountMountFlags`

  Flags affecting the operation.

`mount_operation`

  Type: `GMountOperation`

  A `GMountOperation` or `NULL` to avoid user interaction.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied, or `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.